Subject: [rohc] IP-ID encoding

From: Remi Pelland <[email-masked]>
Date: Wed, 16 Oct 2002 14:42:07 -0400

Hi,

Here's a question about IP Identification encoding: whenever the IP
Identification field increments linearly, with a slope that is greater than
1 (a.k.a. Sequential jump - RFC 3095, section A.2.1.), the encoded IP-ID
field should be transmitted explicitely to the decompressor even though the
slope is constant, right?  

The reason I'm asking this is because since the slope is constant, in theory
the decompressor could use linear extrapolation to decompress the original
IP identification - provided it figured out the slope.

Thanks,
Remi.

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: [email-masked]
Date: Wed, 16 Oct 2002 14:28:12 -0500

Remi,

You don't need to transmit explicitly the encoded IP-ID. Note
that what the compressor encodes is the offset between IP-ID
and RTP SN (section 4.5.5). It works as follows:

ID(i) = ID(0) + ID_slope * i 
SN(i) = SN(0) + 1 * i
offset(i) = ID(i) - SN(i) = ID(0) + SN(0) + (ID_slope-1) * i.

So, once the compressor is confident that the decompressor
has enough information to derive (ID_slope-1), it can stop
sending IP-ID explicitly (i.e. it enters SO state as far as 
IP-ID is concerned).

Zhigang

> -----Original Message-----
> From: ext Remi Pelland [mailto:[email-masked]]
> Sent: October 16, 2002 1:42 PM
> To: [email-masked]'
> Subject: [rohc] IP-ID encoding
> 
> 
> 
> Hi,
>

---

From: Remi Pelland <[email-masked]>
Date: Wed, 16 Oct 2002 15:45:07 -0400

Thanks.  Although it seemed logical not to transmit the IP-ID when the slope
is constant, I was not sure if that was actually permitted.  

Just one thing however, I guess offset(i) should be:

offset(i) = ID(i) - SN(i) = ID(0) - SN(0) + (ID_slope-1) * i.

("-SN(0)" instead of "+SN(0)")

Remi.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Wednesday, October 16, 2002 3:28 PM
To: [email-masked]; [email-masked]
Subject: RE: [rohc] IP-ID encoding

Remi,

Zhigang

---

From: [email-masked]
Date: Wed, 16 Oct 2002 15:09:27 -0500

> ("-SN(0)" instead of "+SN(0)")

Yes. Sorry, I was a bit sloppy.

Zhigang